Chapter 8. logs


Access usage logs for organizations or repositories.

8.1. getAggregateUserLogs

Returns the aggregated logs for the current user.

8.1.1. GET /api/v1/user/aggregatelogs

Authorizations: oauth2_implicit (user:admin)

8.1.2. Query parameters

TypeNameDescriptionSchema

query

performer

optional

Username for which to filter logs.

string

query

endtime

optional

Latest time for logs. Format: "%m/%d/%Y" in UTC.

string

query

starttime

optional

Earliest time for logs. Format: "%m/%d/%Y" in UTC.

string

8.1.3. Responses

HTTP CodeDescriptionSchema

200

Successful invocation

 

400

Bad Request

ApiError

401

Session required

ApiError

403

Unauthorized access

ApiError

404

Not found

ApiError

8.1.4. Example command

$ curl -X GET \
  -H "Authorization: Bearer <bearer_token>" \
  -H "Accept: application/json" \
  "<quay-server.example.com>/api/v1/user/aggregatelogs?performer=<username>&starttime=<MM/DD/YYYY>&endtime=<MM/DD/YYYY>"

8.2. exportUserLogs

Returns the aggregated logs for the current user.

8.2.1. POST /api/v1/user/exportlogs

Authorizations: oauth2_implicit (user:admin)

8.2.2. Query parameters

TypeNameDescriptionSchema

query

endtime

optional

Latest time for logs. Format: "%m/%d/%Y" in UTC.

string

query

starttime

optional

Earliest time for logs. Format: "%m/%d/%Y" in UTC.

string

8.2.3. Request body schema (application/json)

Configuration for an export logs operation

NameDescriptionSchema

callback_url

optional

The callback URL to invoke with a link to the exported logs

string

callback_email

optional

The e-mail address at which to e-mail a link to the exported logs

string

8.2.4. Responses

HTTP CodeDescriptionSchema

201

Successful creation

 

400

Bad Request

ApiError

401

Session required

ApiError

403

Unauthorized access

ApiError

404

Not found

ApiError

8.2.5. Example command

$ curl -X POST \
  -H "Authorization: Bearer <bearer_token>" \
  -H "Content-Type: application/json" \
  -H "Accept: application/json" \
  -d '{
        "starttime": "<MM/DD/YYYY>",
        "endtime": "<MM/DD/YYYY>",
        "callback_email": "your.email@example.com"
      }' \
  "http://<quay-server.example.com>/api/v1/user/exportlogs"

8.3. listUserLogs

List the logs for the current user.

8.3.1. GET /api/v1/user/logs

Authorizations: oauth2_implicit (user:admin)

8.3.2. Query parameters

TypeNameDescriptionSchema

query

next_page

optional

The page token for the next page

string

query

performer

optional

Username for which to filter logs.

string

query

endtime

optional

Latest time for logs. Format: "%m/%d/%Y" in UTC.

string

query

starttime

optional

Earliest time for logs. Format: "%m/%d/%Y" in UTC.

string

8.3.3. Responses

HTTP CodeDescriptionSchema

200

Successful invocation

 

400

Bad Request

ApiError

401

Session required

ApiError

403

Unauthorized access

ApiError

404

Not found

ApiError

8.3.4. Example command

$ curl -X GET   -H "Authorization: Bearer <bearer_token>"   -H "Accept: application/json"   "<quay-server.example.com>/api/v1/user/logs"

8.4. getAggregateOrgLogs

Gets the aggregated logs for the specified organization.

Authorizations: oauth2_implicit (org:admin)

8.4.2. Path parameters

TypeNameDescriptionSchema

path

orgname

required

The name of the organization

string

8.4.3. Query parameters

TypeNameDescriptionSchema

query

performer

optional

Username for which to filter logs.

string

query

endtime

optional

Latest time for logs. Format: "%m/%d/%Y" in UTC.

string

query

starttime

optional

Earliest time for logs. Format: "%m/%d/%Y" in UTC.

string

8.4.4. Responses

HTTP CodeDescriptionSchema

200

Successful invocation

 

400

Bad Request

ApiError

401

Session required

ApiError

403

Unauthorized access

ApiError

404

Not found

ApiError

8.4.5. Example command

$ curl -X GET \
  -H "Authorization: Bearer <bearer_token>" \
  -H "Accept: application/json" \
  "<quay-server.example.com>/api/v1/organization/{orgname}/aggregatelogs"

8.5. exportOrgLogs

Exports the logs for the specified organization.

Authorizations: oauth2_implicit (org:admin)

8.5.2. Path parameters

TypeNameDescriptionSchema

path

orgname

required

The name of the organization

string

8.5.3. Query parameters

TypeNameDescriptionSchema

query

endtime

optional

Latest time for logs. Format: "%m/%d/%Y" in UTC.

string

query

starttime

optional

Earliest time for logs. Format: "%m/%d/%Y" in UTC.

string

8.5.4. Request body schema (application/json)

Configuration for an export logs operation

NameDescriptionSchema

callback_url

optional

The callback URL to invoke with a link to the exported logs

string

callback_email

optional

The e-mail address at which to e-mail a link to the exported logs

string

8.5.5. Responses

HTTP CodeDescriptionSchema

201

Successful creation

 

400

Bad Request

ApiError

401

Session required

ApiError

403

Unauthorized access

ApiError

404

Not found

ApiError

8.5.6. Example command

$ curl -X POST \
  -H "Authorization: Bearer <bearer_token>" \
  -H "Content-Type: application/json" \
  -H "Accept: application/json" \
  -d '{
        "starttime": "<MM/DD/YYYY>",
        "endtime": "<MM/DD/YYYY>",
        "callback_email": "org.logs@example.com"
      }' \
  "http://<quay-server.example.com>/api/v1/organization/{orgname}/exportlogs"

8.6. listOrgLogs

List the logs for the specified organization.

8.6.1. GET /api/v1/organization/{orgname}/logs

Authorizations: oauth2_implicit (org:admin)

8.6.2. Path parameters

TypeNameDescriptionSchema

path

orgname

required

The name of the organization

string

8.6.3. Query parameters

TypeNameDescriptionSchema

query

next_page

optional

The page token for the next page

string

query

performer

optional

Username for which to filter logs.

string

query

endtime

optional

Latest time for logs. Format: "%m/%d/%Y" in UTC.

string

query

starttime

optional

Earliest time for logs. Format: "%m/%d/%Y" in UTC.

string

8.6.4. Responses

HTTP CodeDescriptionSchema

200

Successful invocation

 

400

Bad Request

ApiError

401

Session required

ApiError

403

Unauthorized access

ApiError

404

Not found

ApiError

8.6.5. Example command

$ curl -X GET \
  -H "Authorization: Bearer <bearer_token>" \
  -H "Accept: application/json" \
  "http://<quay-server.example.com>/api/v1/organization/{orgname}/logs"

8.7. getAggregateRepoLogs

Returns the aggregated logs for the specified repository.

Authorizations: oauth2_implicit (repo:admin)

8.7.2. Path parameters

TypeNameDescriptionSchema

path

repository

required

The full path of the repository. e.g. namespace/name

string

8.7.3. Query parameters

TypeNameDescriptionSchema

query

endtime

optional

Latest time for logs. Format: "%m/%d/%Y" in UTC.

string

query

starttime

optional

Earliest time for logs. Format: "%m/%d/%Y" in UTC.

string

8.7.4. Responses

HTTP CodeDescriptionSchema

200

Successful invocation

 

400

Bad Request

ApiError

401

Session required

ApiError

403

Unauthorized access

ApiError

404

Not found

ApiError

8.7.5. Example command

$ curl -X GET \
  -H "Authorization: Bearer <bearer_token>" \
  -H "Accept: application/json" \
  "<quay-server.example.com>/api/v1/repository/<repository_name>/<namespace>/aggregatelogs?starttime=2024-01-01&endtime=2024-06-18""

8.8. exportRepoLogs

Queues an export of the logs for the specified repository.

Authorizations: oauth2_implicit (repo:admin)

8.8.2. Path parameters

TypeNameDescriptionSchema

path

repository

required

The full path of the repository. e.g. namespace/name

string

8.8.3. Query parameters

TypeNameDescriptionSchema

query

endtime

optional

Latest time for logs. Format: "%m/%d/%Y" in UTC.

string

query

starttime

optional

Earliest time for logs. Format: "%m/%d/%Y" in UTC.

string

8.8.4. Request body schema (application/json)

Configuration for an export logs operation

NameDescriptionSchema

callback_url

optional

The callback URL to invoke with a link to the exported logs

string

callback_email

optional

The e-mail address at which to e-mail a link to the exported logs

string

8.8.5. Responses

HTTP CodeDescriptionSchema

201

Successful creation

 

400

Bad Request

ApiError

401

Session required

ApiError

403

Unauthorized access

ApiError

404

Not found

ApiError

8.8.6. Example command

$ curl -X POST \
  -H "Authorization: Bearer <bearer_token>" \
  -H "Content-Type: application/json" \
  -H "Accept: application/json" \
  -d '{
        "starttime": "2024-01-01",
        "endtime": "2024-06-18",
        "callback_url": "http://your-callback-url.example.com"
      }' \
  "http://<quay-server.example.com>/api/v1/repository/{repository}/exportlogs"

8.9. listRepoLogs

List the logs for the specified repository.

8.9.1. GET /api/v1/repository/{repository}/logs

Authorizations: oauth2_implicit (repo:admin)

8.9.2. Path parameters

TypeNameDescriptionSchema

path

repository

required

The full path of the repository. e.g. namespace/name

string

8.9.3. Query parameters

TypeNameDescriptionSchema

query

next_page

optional

The page token for the next page

string

query

endtime

optional

Latest time for logs. Format: "%m/%d/%Y" in UTC.

string

query

starttime

optional

Earliest time for logs. Format: "%m/%d/%Y" in UTC.

string

8.9.4. Responses

HTTP CodeDescriptionSchema

200

Successful invocation

 

400

Bad Request

ApiError

401

Session required

ApiError

403

Unauthorized access

ApiError

404

Not found

ApiError

8.9.5. Example command

$ curl -X GET \
  -H "Authorization: Bearer <bearer_token>" \
  -H "Accept: application/json" \
  "http://<quay-server.example.com>/api/v1/repository/{repository}/logs"
Red Hat logoGithubRedditYoutubeTwitter

Learn

Try, buy, & sell

Communities

About Red Hat

We deliver hardened solutions that make it easier for enterprises to work across platforms and environments, from the core datacenter to the network edge.

Making open source more inclusive

Red Hat is committed to replacing problematic language in our code, documentation, and web properties. For more details, see the Red Hat Blog.

About Red Hat Documentation

Legal Notice

Theme

© 2026 Red Hat
Back to top